using MultipleChoiceTrainer.Validation;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MultipleChoiceTrainer.Models.DataModels
{
    public class Category
    {
        public int Id { get; set;  }

        [Display(Name="Name")]
        [NotNullOrEmpty]
        public string Name { get; set; }
        [Display(Name = "Beschreibung")]
        public string Description { get; set; }

        public ICollection<Section> Sections { get; set; } = new HashSet<Section>();
    }
}
